Follow channel
curl --request POST \
--url https://{host}/api/{session}/channels/{id}/follow \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}/follow"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}/follow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "You are now following this channel"
}
Channels
Follow Channel
Follow a channel on WhatsApp
POST
/
api
/
{session}
/
channels
/
{id}
/
follow
Follow channel
Description
This endpoint allows you to follow a specific channel on WhatsApp, adding it to your list of followed channels and allowing you to receive updates from the channel.URL Parameters
string
required
WhatsApp unique authenticated session ID
string
required
Unique ID of the channel to follow
Response
boolean
Indicates if you started following the channel successfully
{
"success": true,
"message": "You are now following this channel"
}
Status Codes
200- Channel followed successfully400- Invalid ID or already following the channel401- Unauthorized404- Channel not found500- Internal server error
Usage Example
curl -X POST https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter/follow
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}/follow`, {
method: 'POST'
});
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.post(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}/follow')
data = response.json()
print(data)
